import httpService from "@/request"

// 商品
// list
export function shopPushList(params) {
	return httpService({
		url: `/user/shop/shopPushList`,
		method: 'get',
		params: params,
	})
}
export function jcookGoodsList(params) {
	return httpService({
		url: `/user/shop/jcookGoodsList`,
		method: 'get',
		params: params,
	})
}
export function offShelf(params) {
	return httpService({
		url: `/user/shop/offShelf`,
		method: 'post',
		data: params,
	})
}
export function onShelf(params) {
	return httpService({
		url: `/user/shop/onShelf`,
		method: 'post',
		data: params,
	})
}
export function jcookGoodsBatchPush(params) {
	return httpService({
		url: `/user/shop/jcookGoodsBatchPush`,
		method: 'post',
		data: params,
	})
}
export function jcookGoodsPush(params) {
	return httpService({
		url: `/user/shop/jcookGoodsPush`,
		method: 'post',
		data: params,
	})
}
export function goodsEdit(params) {
	return httpService({
		url: `/user/shop/update`,
		method: 'post',
		data: params,
	})
}
export function goodsInfo(params) {
	return httpService({
		url: `/user/shop/findById`,
		method: 'get',
		params: params,
	})
}

// 分类
export function cateSelect(params) {
	return httpService({
		url: `/user/shopCategory/listAll`,
		method: 'get',
		params: params,
	})
}
// 店铺
export function shopSelect(params) {
	return httpService({
		url: `/user/shopShop/allList`,
		method: 'get',
		params: params,
	})
}
// 供应商
export function vendorSelect(params) {
	return httpService({
		url: `/user/shopVendor/allList`,
		method: 'get',
		params: params,
	})
}
// 品牌
export function brandSelect(params) {
	return httpService({
		url: `/user/shopBrand/allList`,
		method: 'get',
		params: params,
	})
}